#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 semirings
version:              0.6
visibility:           public
id:                   semirings-0.6-BNrOoWcK1s5EwHsvc8lUl3
key:                  semirings-0.6-BNrOoWcK1s5EwHsvc8lUl3
license:              BSD-3-Clause
copyright:            Copyright (C) 2018 chessai
maintainer:           chessai <chessai1996@gmail.com>
author:               chessai
stability:            provisional
homepage:             http://github.com/chessai/semirings
synopsis:             two monoids as one, in holy haskimony
description:
    Haskellers are usually familiar with monoids and semigroups. A monoid has an appending operation `<>` (or `mappend`),
    and an identity element, `mempty`. A semigroup has an appending `<>` operation, but does not require a `mempty` element.

    A Semiring has two appending operations, `plus` and `times`, and two respective identity elements, `zero` and `one`.

    More formally, a Semiring R is a set equipped with two binary relations `+` and `*`, such that:

    (R,+) is a commutative monoid with identity element 0,

    (R,*) is a monoid with identity element 1,

    (*) left and right distributes over addition, and

    multiplication by '\''0'\'' annihilates R.

category:             Algebra, Data, Data Structures, Math, Maths, Mathematics
abi:                  c61af97bce37ddcd1d9822529bcc48de
exposed:              True
exposed-modules:
    Data.Euclidean Data.Field Data.Semiring Data.Semiring.Generic
    Data.Semiring.Tropical Data.Star

import-dirs:          /usr/lib/ghc-9.0.2/site-local/semirings-0.6
library-dirs:         /usr/lib/ghc-9.0.2/site-local/semirings-0.6
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/semirings-0.6
hs-libraries:         HSsemirings-0.6-BNrOoWcK1s5EwHsvc8lUl3
depends:
    base-4.15.1.0 base-compat-batteries-0.11.2-8rnlbnBICfc2Tqt6qcZWS7
    containers-0.6.4.1 hashable-1.3.5.0-9wAI1WS8YgI32PWp14SUvr
    unordered-containers-0.2.15.0-Ht2efffRCvFCdRwsi5oUgT

haddock-interfaces:   /usr/share/doc/haskell-semirings/html/semirings.haddock
haddock-html:         /usr/share/doc/haskell-semirings/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

